#pragma once

#include "CoreMinimal.h"
#include "StoreFeaturedViewInterface.h"
#include "CoreStoreBaseTabWidget.h"
#include "CoreStoreFeaturedWidget.generated.h"

class UCoreStoreFeaturedCustomizationItemContainerWidget;
class UCoreStoreFeaturedCharacterContainerWidget;
class UCoreStoreFeaturedMysteryBoxWidget;
class UCoreStoreFeaturedContentContainerWidget;
class UDBDTextBlock;

UCLASS(Blueprintable, EditInlineNew)
class UCoreStoreFeaturedWidget : public UCoreStoreBaseTabWidget, public IStoreFeaturedViewInterface
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(BindWidgetOptional))
	UCoreStoreFeaturedCustomizationItemContainerWidget* CustomizationItemContainer;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(BindWidgetOptional))
	UCoreStoreFeaturedCharacterContainerWidget* CharacterContainer;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(BindWidgetOptional))
	UCoreStoreFeaturedMysteryBoxWidget* MysteryBox;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(BindWidgetOptional))
	UCoreStoreFeaturedContentContainerWidget* FeaturedContentContainer;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(BindWidgetOptional))
	UDBDTextBlock* FeaturedCharactersTitleTB;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(BindWidgetOptional))
	UDBDTextBlock* FeaturedChapterPackTitleTB;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(BindWidgetOptional))
	UDBDTextBlock* FreeGiftTitleTB;

public:
	UCoreStoreFeaturedWidget();
};

FORCEINLINE uint32 GetTypeHash(const UCoreStoreFeaturedWidget) { return 0; }
